Get GSTR-1A Declaration Details
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month} \
--header 'authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}"
headers = {
"authorization": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authorization: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("authorization", "<api-key>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}")
.header("authorization", "<api-key>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["authorization"] = '<api-key>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1763446641000,
"transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
"data": {
"status_cd": "1",
"data": {
"gstin": "32CHAND3868A1Z3",
"ret_period": "092024",
"r2bStaleStatus": "N",
"declared_tmstmp": "2025-03-20 13:24:00",
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"liab": {
"gstr1Liab": {
"sec_nm": "TTL_LIAB_GSTR1",
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"ttl_tax": 2000,
"ttl_igst": 10,
"ttl_sgst": 0,
"ttl_cgst": 0,
"ttl_cess": 0,
"ttl_val": 10
},
"iffLiab": [
{
"sec_nm": "TTL_LIAB_IFF",
"chksum": "938a7da1b6692b772d3c04fe1a7005ba1508d765acd007df5ed7fb7b8cb38c05",
"iff_ret_period": "072024",
"ttl_tax": 2000,
"ttl_igst": 10,
"ttl_sgst": 0,
"ttl_cgst": 0,
"ttl_cess": 0,
"ttl_val": 10
},
{
"sec_nm": "TTL_LIAB_IFF",
"chksum": "063a5b1a3bbc23d11761b156c446a285d7703be484a276a0a32e29bda10d4f8a",
"iff_ret_period": "082024",
"ttl_tax": 2000,
"ttl_igst": 10,
"ttl_sgst": 0,
"ttl_cgst": 0,
"ttl_cess": 0,
"ttl_val": 10
}
],
"gstr1aLiab": {
"sec_nm": "TTL_LIAB_GSTR1A",
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"ttl_tax": 1000,
"ttl_igst": 10,
"ttl_sgst": 0,
"ttl_cgst": 0,
"ttl_cess": 0,
"ttl_val": 10
}
},
"bal": {
"cash_bal": {
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"igst_bal": 10000,
"cgst_bal": 5000,
"sgst_bal": 5000,
"cess_bal": 1000,
"ttl_bal": 21000
},
"itc_bal": {
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"igst_bal": 10000,
"cgst_bal": 0,
"sgst_bal": 0,
"cess_bal": 0,
"ttl_bal": 0
},
"gstr2b_itc_bal": {
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"igst_bal": 0,
"cgst_bal": 0,
"sgst_bal": 0,
"cess_bal": 0,
"ttl_bal": 0
}
}
}
}
}
Get GSTR-1A Declaration Details
This API is used to view the GSTR1 , GSTR1A and IFF Liability details along with Available ITC ,Cash Ledger details and ITC Available as per GSTR2B Details.
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1a
/
declaration-details
/
{year}
/
{month}
Get GSTR-1A Declaration Details
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month} \
--header 'authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}"
headers = {
"authorization": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authorization: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("authorization", "<api-key>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}")
.header("authorization", "<api-key>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/declaration-details/{year}/{month}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["authorization"] = '<api-key>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1763446641000,
"transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
"data": {
"status_cd": "1",
"data": {
"gstin": "32CHAND3868A1Z3",
"ret_period": "092024",
"r2bStaleStatus": "N",
"declared_tmstmp": "2025-03-20 13:24:00",
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"liab": {
"gstr1Liab": {
"sec_nm": "TTL_LIAB_GSTR1",
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"ttl_tax": 2000,
"ttl_igst": 10,
"ttl_sgst": 0,
"ttl_cgst": 0,
"ttl_cess": 0,
"ttl_val": 10
},
"iffLiab": [
{
"sec_nm": "TTL_LIAB_IFF",
"chksum": "938a7da1b6692b772d3c04fe1a7005ba1508d765acd007df5ed7fb7b8cb38c05",
"iff_ret_period": "072024",
"ttl_tax": 2000,
"ttl_igst": 10,
"ttl_sgst": 0,
"ttl_cgst": 0,
"ttl_cess": 0,
"ttl_val": 10
},
{
"sec_nm": "TTL_LIAB_IFF",
"chksum": "063a5b1a3bbc23d11761b156c446a285d7703be484a276a0a32e29bda10d4f8a",
"iff_ret_period": "082024",
"ttl_tax": 2000,
"ttl_igst": 10,
"ttl_sgst": 0,
"ttl_cgst": 0,
"ttl_cess": 0,
"ttl_val": 10
}
],
"gstr1aLiab": {
"sec_nm": "TTL_LIAB_GSTR1A",
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"ttl_tax": 1000,
"ttl_igst": 10,
"ttl_sgst": 0,
"ttl_cgst": 0,
"ttl_cess": 0,
"ttl_val": 10
}
},
"bal": {
"cash_bal": {
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"igst_bal": 10000,
"cgst_bal": 5000,
"sgst_bal": 5000,
"cess_bal": 1000,
"ttl_bal": 21000
},
"itc_bal": {
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"igst_bal": 10000,
"cgst_bal": 0,
"sgst_bal": 0,
"cess_bal": 0,
"ttl_bal": 0
},
"gstr2b_itc_bal": {
"chksum": "0b194f5f9cfeb178a4d1440103641b81eb17728b9afd6691a3661aa9c3dd0f8d",
"igst_bal": 0,
"cgst_bal": 0,
"sgst_bal": 0,
"cess_bal": 0,
"ttl_bal": 0
}
}
}
}
}
Response body schema
View response body schema
Response schema
For successful responses, this reference describes the GSTN payload atdata.data.
View Excel field reference
Authorizations
GST taxpayer access token returned by Verify OTP.
Path Parameters
Response
200 - application/json
GSTN success or business-error response. GSTN returns both variants with HTTP 200.
- Option 1
- GSTN business error
A GSTN success or GSTN business-failure response. Both variants use HTTP 200.